package com.zhongdao.jlr.pojo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "jlr_enterprise")
public class EnterpriseJlr {

    private Integer id;
    private Integer settle_type;
    private Integer is_send;
    private String  name;
    private String  contact;
    private String  phone1;
    private String  phone2;
    private String  phone3;
    private String  registry;
    private String  lon;
    private String  lat;
    private String  abbr_name;
    private String  brands;
    private String  activate_code;
    private String  area_code;
    private String  abbr_code;
    private String  remark;
    private String  address;
    private String  contact2;
    private String  contact3;
    private String  job1;
    private String  job2;
    private String  job3;
    private String  service_qualification;
    private String  car_type;
    private String  first_sale_date;
    private String  vin_code;
    private Date    create_time;
    private Date    update_time;

    @Id
    @Column(name = "id")
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
    @Column(name = "settle_type")
    public Integer getSettle_type() {
        return settle_type;
    }

    public void setSettle_type(Integer settle_type) {
        this.settle_type = settle_type;
    }
    @Column(name = "is_send")
    public Integer getIs_send() {
        return is_send;
    }

    public void setIs_send(Integer is_send) {
        this.is_send = is_send;
    }
    @Column(name = "name")
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    @Column(name = "contact")
    public String getContact() {
        return contact;
    }

    public void setContact(String contact) {
        this.contact = contact;
    }
    @Column(name = "phone1")
    public String getPhone1() {
        return phone1;
    }

    public void setPhone1(String phone1) {
        this.phone1 = phone1;
    }
    @Column(name = "phone2")
    public String getPhone2() {
        return phone2;
    }

    public void setPhone2(String phone2) {
        this.phone2 = phone2;
    }
    @Column(name = "phone3")
    public String getPhone3() {
        return phone3;
    }

    public void setPhone3(String phone3) {
        this.phone3 = phone3;
    }
    @Column(name = "registry")
    public String getRegistry() {
        return registry;
    }

    public void setRegistry(String registry) {
        this.registry = registry;
    }
    @Column(name = "lon")
    public String getLon() {
        return lon;
    }

    public void setLon(String lon) {
        this.lon = lon;
    }
    @Column(name = "lat")
    public String getLat() {
        return lat;
    }

    public void setLat(String lat) {
        this.lat = lat;
    }
    @Column(name = "abbr_name")
    public String getAbbr_name() {
        return abbr_name;
    }

    public void setAbbr_name(String abbr_name) {
        this.abbr_name = abbr_name;
    }
    @Column(name = "brands")
    public String getBrands() {
        return brands;
    }

    public void setBrands(String brands) {
        this.brands = brands;
    }
    @Column(name = "activate_code")
    public String getActivate_code() {
        return activate_code;
    }

    public void setActivate_code(String activate_code) {
        this.activate_code = activate_code;
    }
    @Column(name = "area_code")
    public String getArea_code() {
        return area_code;
    }

    public void setArea_code(String area_code) {
        this.area_code = area_code;
    }
    @Column(name = "abbr_code")
    public String getAbbr_code() {
        return abbr_code;
    }

    public void setAbbr_code(String abbr_code) {
        this.abbr_code = abbr_code;
    }
    @Column(name = "remark")
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
    @Column(name = "address")
    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }
    @Column(name = "contact2")
    public String getContact2() {
        return contact2;
    }

    public void setContact2(String contact2) {
        this.contact2 = contact2;
    }
    @Column(name = "contact3")
    public String getContact3() {
        return contact3;
    }

    public void setContact3(String contact3) {
        this.contact3 = contact3;
    }
    @Column(name = "job1")
    public String getJob1() {
        return job1;
    }

    public void setJob1(String job1) {
        this.job1 = job1;
    }
    @Column(name = "job2")
    public String getJob2() {
        return job2;
    }

    public void setJob2(String job2) {
        this.job2 = job2;
    }
    @Column(name = "job3")
    public String getJob3() {
        return job3;
    }

    public void setJob3(String job3) {
        this.job3 = job3;
    }
    @Column(name = "service_qualification")
    public String getService_qualification() {
        return service_qualification;
    }

    public void setService_qualification(String service_qualification) {
        this.service_qualification = service_qualification;
    }
    @Column(name = "car_type")
    public String getCar_type() {
        return car_type;
    }

    public void setCar_type(String car_type) {
        this.car_type = car_type;
    }
    @Column(name = "first_sale_date")
    public String getFirst_sale_date() {
        return first_sale_date;
    }

    public void setFirst_sale_date(String first_sale_date) {
        this.first_sale_date = first_sale_date;
    }
    @Column(name = "vin_code")
    public String getVin_code() {
        return vin_code;
    }

    public void setVin_code(String vin_code) {
        this.vin_code = vin_code;
    }
    @Column(name = "create_time")
    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }
    @Column(name = "update_time")
    public Date getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(Date update_time) {
        this.update_time = update_time;
    }



    @Override
    public String toString() {
        return "EnterpriseJlr{" +
                "id=" + id +
                ", settle_type=" + settle_type +
                ", is_send=" + is_send +
                ", name='" + name + '\'' +
                ", contact='" + contact + '\'' +
                ", phone1='" + phone1 + '\'' +
                ", phone2='" + phone2 + '\'' +
                ", phone3='" + phone3 + '\'' +
                ", registry='" + registry + '\'' +
                ", lon='" + lon + '\'' +
                ", lat='" + lat + '\'' +
                ", abbr_name='" + abbr_name + '\'' +
                ", brands='" + brands + '\'' +
                ", activate_code='" + activate_code + '\'' +
                ", area_code='" + area_code + '\'' +
                ", abbr_code='" + abbr_code + '\'' +
                ", remark='" + remark + '\'' +
                ", address='" + address + '\'' +
                ", contact2='" + contact2 + '\'' +
                ", contact3='" + contact3 + '\'' +
                ", job1='" + job1 + '\'' +
                ", job2='" + job2 + '\'' +
                ", job3='" + job3 + '\'' +
                ", service_qualification='" + service_qualification + '\'' +
                ", car_type='" + car_type + '\'' +
                ", first_sale_date='" + first_sale_date + '\'' +
                ", vin_code='" + vin_code + '\'' +
                ", create_time=" + create_time +
                ", update_time=" + update_time +
                '}';
    }
}
